%define module_name Dancer2-Session-DBIC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBICx/Sugar.pm) perl(DBICx/TestDatabase.pm) perl(DBIx/Class.pm) perl(DBIx/Class/TimeStamp.pm) perl(Dancer2.pm) perl(Dancer2/Plugin/DBIC.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(JSON/MaybeXS.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Plack/Test.pm) perl(Scalar/Util.pm) perl(Sereal/Decoder.pm) perl(Sereal/Encoder.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(YAML.pm) perl(YAML/Dumper.pm) perl(YAML/Loader.pm) perl(namespace/clean.pm) perl(DateTime/Format/SQLite.pm) perl(Template/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.120
Release: alt1
Summary: DBIx::Class based session engine for Dancer
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HO/HORNBURG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements a session engine for Dancer2 by serializing the session,
and storing it in a database via the DBIx::Class manpage.

JSON was chosen as the serialization format, as it is fast, terse, and portable.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES README
%perl_vendor_privlib/D*

%changelog
* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.120-alt1
- regenerated from template by package builder

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.110-alt1
- regenerated from template by package builder

* Sun Mar 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.102-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.007-alt1
- initial import by package builder

